For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Brands
        • Categories
        • Category Trees
        • Products
            • GETList Products
            • PUTUpdate Products (batch)
            • POSTCreate Product
            • DELDelete Products
            • GETGet Product
            • PUTUpdate Product
            • DELDelete Product
              • GETList Product Reviews
              • POSTCreate Product Review
              • GETGet Product Review
              • PUTUpdate Product Review
              • DELDelete Product Review
        • Product Modifiers
        • Product Variants
        • Product Variant Options
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminCatalogProductsReviews

Get Product Review

GET
https://api.bigcommerce.com/stores/:store_hash/v3/catalog/products/:product_id/reviews/:review_id
GET
/stores/:store_hash/v3/catalog/products/:product_id/reviews/:review_id
$curl https://api.bigcommerce.com/stores/store_hash/v3/catalog/products/1/reviews/1 \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
1{
2 "data": {
3 "title": "irur",
4 "date_reviewed": "2011-12-31T13:40:42.971Z",
5 "text": "anim aute",
6 "status": "Lorem ad sed voluptate",
7 "rating": 3,
8 "email": "esse Lorem laborum aute",
9 "name": "ut in ",
10 "id": 82495037,
11 "date_created": "1985-01-17T07:37:20.439Z",
12 "date_modified": "2004-09-28T14:38:21.973Z",
13 "product_id": 22609026
14 },
15 "meta": {}
16}

Returns a single Product Review. Optional parameters maybe passed in.

Was this page helpful?
Previous

Create Product Review

Next

Update Product Review

Built with

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idintegerRequired

The ID of the Product to which the resource belongs.

review_idintegerRequired

The ID of the review that is being operated on.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

exclude_fieldslist of stringsOptional

Fields to exclude, in a comma-separated list. The specified fields will be excluded from a response. The ID cannot be excluded.

Response

dataobject
A product review model.
metaobject
Response metadata.

Errors

404
Not Found Error

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.